import QtQuick 2.0
import Sailfish.Silica 1.0

Page {
    PageHeader {
        id: header
        title: "About"
    }

    Label {
        anchors.top: header.bottom
        anchors.horizontalCenter: parent.horizontalCenter
        width: parent.width
        text: "this application was created by\nkirbylife\nunder the GPL V3 license,\nanyone is free to view\nthe code and modify it."
        truncationMode: TruncationMode.Elide
    }

    Button {
        id: btnCode
        anchors.bottom: btnMastodon.top
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.bottomMargin: 50
        text: "Code"
        onClicked: {
            Qt.openUrlExternally("https://git.kirbylife.dev/kirbylife/harbour-muchkin")
        }
    }
    Button {
        id: btnMastodon
        anchors.bottom: btnDonate.top
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.bottomMargin: 50
        text: "Mastodon"
        onClicked: {
            Qt.openUrlExternally("https://mstdn.mx/@kirbylife")
        }
    }
    Button {
        id: btnDonate
        anchors.bottom: parent.bottom
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.bottomMargin: 50
        text: "Donate"
        onClicked: {
            Qt.openUrlExternally("https://www.paypal.com/paypalme/kirbylife")
        }
    }
}
